import configparser

from urllib.request import Request, urlopen
from urllib.parse import urlencode
import urllib.error
import json
import sys
def shorten_url(long_url):
  q = {}

  req1 = Request(long_url)
  # Try to open the url. Is it a real one?
  try:
    response = urlopen(req1)
  except urllib.error.HTTPError as e:
    print('The server couldn\'t fulfill the request.')
    print('Error code: ', e.code)
    return sys.exit(1) #"Σφάλμα: {0}".format(e.code)
  except urllib.error.URLError as e:
    print('We failed to reach a server.')
    print('Reason: ', e.reason)
    return sys.exit(1) #"Αιτία: {0}".format(e.reason)
  else:
    #It's real
    config = configparser.ConfigParser()
    config.read('btl.ini')
    q['login']= config['DEFAULT']['login']
    q['apiKey'] = config['DEFAULT']['apiKey']
    q['longUrl'] = long_url
    
    bitly_url = "http://api.bit.ly/v3/shorten?"
    data = urlencode(q)
    
    req = Request(bitly_url, data.encode('utf-8'))
    short_url = urlopen(req).read()
    short = json.loads(short_url.decode())
  return short['data']['url']

if __name__ == '__main__':
  print(shorten_url('http://tkinterpython3.blogspot.com'))
